This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 468880 - encrypted /home box does not accept password
encrypted /home box does not accept password
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Preview
  Show dependency treegraph
 
Reported: 2008-10-28 11:57 EDT by Eric Paris
Modified: 2013-01-09 23:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 19:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2008-10-28 11:57:52 EDT
Just did an F10 yum update and the password box to unlock my encrypted /home no longer works.  When I type letters nothing happens.  When I hit enter an * appears in the box for every letter I typed (including the enter).  If I keep typing letter nothing happens.  Another enter and I again get all the *.  Just hitting enter adds one * every time.

I hit esc to get to the text mode and was able to type my p-word there.

Below is the list of things which were updated right before this reboot.

yum: Updated: bluez-4.17-2.fc10.i386
yum: Updated: bluez-alsa-4.17-2.fc10.i386
yum: Updated: audit-1.7.8-5.fc10.i386
yum: Updated: frysk-0.4-2.fc10.i386
yum: Updated: glib2-devel-2.18.2-3.fc10.i386
yum: Updated: mlocate-0.21.1-1.i386
yum: Updated: yum-3.2.20-2.fc10.noarch
yum: Updated: plymouth-scripts-0.6.0-0.2008.10.27.5.fc10.i386
yum: Updated: system-config-network-tui-1.5.92-3.fc10.noarch
yum: Updated: gssdp-devel-0.6.3-1.fc10.i386
yum: Updated: system-config-users-1.2.80-2.fc10.noarch
yum: Updated: system-config-date-1.9.32-2.fc10.noarch
yum: Updated: gnome-python2-extras-2.19.1-23.fc10.i386
yum: Updated: desktop-backgrounds-basic-9.0.0-4.noarch
yum: Updated: xorg-x11-server-common-1.5.2-10.fc10.i386
yum: Updated: system-config-firewall-tui-1.2.12-2.fc10.noarch
yum: Updated: kernel-firmware-2.6.27.4-58.fc10.noarch
yum: Installed: htmlview-4.0.0-3.fc7.noarch
yum: Updated: system-config-network-1.5.92-3.fc10.noarch
yum: Updated: system-config-firewall-1.2.12-2.fc10.noarch
yum: Updated: firstboot-1.102-1.fc10.i386
yum: Updated: gupnp-devel-0.12.3-1.fc10.i386
yum: Updated: policycoreutils-gui-2.0.57-6.fc10.i386
yum: Updated: bluez-cups-4.17-2.fc10.i386
yum: Updated: system-config-lvm-1.1.4-3.1.fc10.noarch
yum: Updated: system-config-boot-0.2.21-3.fc10.i386
yum: Updated: kernel-headers-2.6.27.4-58.fc10.i386
yum: Updated: specspo-16-1.noarch
yum: Installed: kernel-devel-2.6.27.4-58.fc10.i686
yum: Updated: xorg-x11-server-Xorg-1.5.2-10.fc10.i386
yum: Installed: plymouth-plugin-solar-0.6.0-0.2008.10.27.5.fc10.i386
yum: Updated: plymouth-0.6.0-0.2008.10.27.5.fc10.i386
yum: Updated: plymouth-utils-0.6.0-0.2008.10.27.5.fc10.i386
yum: Updated: mkinitrd-6.0.68-1.fc10.i386
yum: Installed: kernel-2.6.27.4-58.fc10.i686
yum: Updated: linuxwacom-0.8.0.3-4.fc10.i386
yum: Updated: xorg-x11-drv-ati-6.9.0-34.fc10.i386
yum: Updated: nautilus-2.24.1-3.fc10.i386
yum: Updated: gnome-python2-libegg-2.19.1-23.fc10.i386
yum: Updated: gnome-python2-gtkhtml2-2.19.1-23.fc10.i386
yum: Updated: plymouth-plugin-spinfinity-0.6.0-0.2008.10.27.5.fc10.i386
yum: Updated: plymouth-gdm-hooks-0.6.0-0.2008.10.27.5.fc10.i386
yum: Updated: lcms-libs-1.17-6.fc10.i386
yum: Updated: PackageKit-glib-0.3.9-1.fc10.i386
yum: Updated: festvox-slt-arctic-hts-0.20061229-6.fc10.i386
yum: Updated: lcms-1.17-6.fc10.i386
yum: Updated: festival-1.96-6.fc10.i386
yum: Updated: f-spot-0.4.4-6.fc10.i386
yum: Updated: xulrunner-1.9.0.2-5.fc10.i386
yum: Updated: PackageKit-gstreamer-plugin-0.3.9-1.fc10.i386
yum: Updated: PackageKit-udev-helper-0.3.9-1.fc10.i386
yum: Updated: PackageKit-yum-plugin-0.3.9-1.fc10.i386
yum: Updated: PackageKit-0.3.9-1.fc10.i386
yum: Updated: gnome-packagekit-0.3.9-4.fc10.i386
yum: Updated: PackageKit-yum-0.3.9-1.fc10.i386
Comment 1 Ray Strode [halfline] 2008-10-28 12:00:54 EDT
can you attach your /init from the initrd?

You may be hitting a different manifestation of bug 468856 (although they sound pretty different)
Comment 2 Eric Paris 2008-10-28 14:08:19 EDT
There is nothing about luks in my initrd.  My / partition is not encrypted.  Only my /home.
Comment 3 Eric Paris 2008-10-28 14:20:19 EDT
I ran the following 2 commands:
  330  /usr/sbin/plymouth-set-default-plugin spinfinity
  331  /usr/libexec/plymouth/plymouth-update-initrd

And now bootup is much less awesome, but it took my luks password and I was able to boot.
Comment 4 Eric Paris 2008-10-28 17:10:04 EDT
confirmed fix in plymouth-0.6.0-0.2008.10.27.6.fc10.i386.rpm and friends
Comment 5 Ray Strode [halfline] 2008-10-28 17:58:40 EDT
excellent.
Comment 6 Jesse Keating 2008-10-30 19:19:23 EDT
This is in rawhide now, closing.

Note You need to log in before you can comment on or make changes to this bug.